package com.clx.performance.param.feign.transport;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@ToString
@NoArgsConstructor
public class OrderChildTruckInfoDTO {

//    @ApiModelProperty(value = "运单号", dataType="String", required = true)
//    private String childNo;
//    @ApiModelProperty(value = "车辆ID", dataType="Integer", required = true)
//    private Integer truckId;
//    @ApiModelProperty(value = "车主id", dataType="Integer", required = true)
//    private Integer userId;
    @ApiModelProperty(value = "车主手机号", dataType="String", required = true)
    private String mobile;
    @ApiModelProperty(value = "车牌号", dataType="String", required = true)
    private String truckNo;
//    @ApiModelProperty(value = "车头车牌颜色代码", dataType="Integer", required = true)
//    private Integer truckNoColorCode;
    @ApiModelProperty(value = "车头车牌颜色", dataType="String", required = true)
    private String truckNoColor;
    @ApiModelProperty(value = "型号", dataType="String", required = true)
    private String model;
    @ApiModelProperty(value = "载重单位吨", dataType="Integer", required = true)
    private Integer load;
    @ApiModelProperty(value = "吨位 单位吨", dataType="Integer", required = true)
    private Integer grossMass;
    @ApiModelProperty(value = "车头道路运输许可证编号", dataType="String", required = true)
    private String roadTransportCertificateNo;
    @ApiModelProperty(value = "行驶证主页照片", dataType="String", required = true)
    private String licenceImgMain;
    @ApiModelProperty(value = "行驶证副业正面照片", dataType="String", required = true)
    private String licenceImgSecond;
    @ApiModelProperty(value = "行驶证副业背面照片", dataType="String", required = true)
    private String licenceImgSecondBack;
    @ApiModelProperty(value = "道路运输许可证图片地址", dataType="String", required = true)
    private String transportLicenceImg;

    @ApiModelProperty(value = "行驶证有效期开始时间")
    private String drivingLicenseBeginTime;
    @ApiModelProperty(value = "行驶证有效期结束时间", required = true)
    private String drivingLicenseEndTime;
    @ApiModelProperty(value = "运输证有效期开始时间")
    private String transportationLicenseBeginTime;
    @ApiModelProperty(value = "运输证有效期结束时间")
    private String transportationLicenseEndTime;

    @ApiModelProperty(value = "车辆燃料类型 1：柴油 2 天然气 3其他 4新能源/电", dataType="Integer", required = true)
    private Integer powerType;
    @ApiModelProperty(value = "使用性质", required = true)
    private String useNature;
    @ApiModelProperty(value = "车辆识别代码", required = true)
    private String identifyCode;
    @ApiModelProperty(value = "行驶证发证机关", required = true)
    private String licenceIssueOrganization;
    @ApiModelProperty(value = "注册日期", required = true)
    private String registerDate;
    @ApiModelProperty(value = "行驶证发证日期", required = true)
    private String licenceIssueDate;

}
